You are not logged in.

#1 2016-06-11 16:06:03

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,591

Iceweasel, transitional package, to FireFox BUG!!!

Not wanting to hijack:
     Index » GUI & Applications » Latest upgrade changes Iceweasel to Firefox-ESR

Parsing Found/Fixed information... Done
grave bugs of firefox-esr (→ 45.2.0esr-1~deb8u1) <Outstanding>
 b1 - #825909 - firefox-esr: crash when loading videos
Summary:
 firefox-esr(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] 

Debian Bug report logs - #825909

So now what?


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#2 2016-06-11 16:08:18

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Iceweasel, transitional package, to FireFox BUG!!!

Upgrade it and see if it crashes when you attempt to load a video.

Or hold it back if you're chicken  monkey


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#3 2016-06-11 16:32:41

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,591

Re: Iceweasel, transitional package, to FireFox BUG!!!

Head_on_a_Stick wrote:

Upgrade it and see if it crashes when you attempt to load a video.

Or hold it back if you're chicken  monkey

COLOUR ME!, as it is now my wife is convinced "I did something" and I hear it!
2016_06_11_13_16_59_Scrot11.jpg

Not a clue what caused that but it's only been recently.  None of the images appear until [Stop script] is clicked ... on every page

First thing I see when the pages load on the bottom bar:  waiting for youtube  mad

Will split this out to it's own thread.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#4 2016-06-11 16:36:32

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Iceweasel, transitional package, to FireFox BUG!!!

Actually, according to the bug report that is for version 45.1.1esr-1 and is on a sid system.

The new version is 45.2.0esr-1

There really shouldn't be any need to use `apt-listbugs` in a Debian stable based system anyway so I would just go ahead and ignore that warning.

In Debian we trust!


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#5 2016-06-11 16:56:34

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,591

Re: Iceweasel, transitional package, to FireFox BUG!!!

Well, it was reported on the 'stable' system.

OH CRAP!

iceweasel (45.0esr-1) unstable; urgency=medium

  * The iceweasel package was replaced with the firefox-esr package.

  * Preferences under /etc/iceweasel/prefs will need to be copied manually
    to /etc/firefox-esr.
  * Other customizations under /etc/iceweasel will need additional manual
    steps, through CCK2 or addons.

-- Mike Hommey <glandium@debian.org>  Mon, 7 Mar 2016 07:45:02 +0900

(q to quit)

iceweasel (45.0esr-1) unstable; urgency=medium
????????????????
I was running Iceweasel 38.8.0 (still am, it's still open)

I have a sinking feeling in my gut!
Too late now.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#6 2016-06-11 17:05:06

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: Iceweasel, transitional package, to FireFox BUG!!!

Sector11 wrote:

Too late now.

Don't be silly -- just restore your backup if things don't go well big_smile

Alternatively, you can use:

sudo dpkg -i --force-downgrade /var/cache/apt/archives/iceweasel_38.8.0esr-1~deb8u1_amd64.deb

I'll just try this in my jessie container if you give me a moment...

EDIT: Oops, no, silly idea:

root@jessie:~# dpkg -i --force-downgrade /var/cache/apt/archives/iceweasel_38.8.0esr-1~deb8u1_amd64.deb
dpkg: warning: downgrading iceweasel from 45.2.0esr-1~deb8u1 to 38.8.0esr-1~deb8u1
dpkg: regarding .../iceweasel_38.8.0esr-1~deb8u1_amd64.deb containing iceweasel:
 firefox-esr conflicts with iceweasel (<< 45)
  iceweasel (version 38.8.0esr-1~deb8u1) is to be installed.

dpkg: error processing archive /var/cache/apt/archives/iceweasel_38.8.0esr-1~deb8u1_amd64.deb (--install):
 conflicting packages - not installing iceweasel
Errors were encountered while processing:
 /var/cache/apt/archives/iceweasel_38.8.0esr-1~deb8u1_amd64.deb

ops

EDIT2: I'm such an idiot sometimes...

root@jessie:~# apt remove firefox-esr
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  firefox-esr iceweasel
0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
After this operation, 100 MB disk space will be freed.
Do you want to continue? [Y/n] 
(Reading database ... 44632 files and directories currently installed.)
Removing iceweasel (45.2.0esr-1~deb8u1) ...
Removing firefox-esr (45.2.0esr-1~deb8u1) ...
update-alternatives: warning: alternative /usr/bin/iceweasel (part of link group x-www-browser) doesn't exist; removing from list of alternatives
update-alternatives: warning: /etc/alternatives/x-www-browser is dangling; it will be updated with best choice
update-alternatives: warning: alternative /usr/bin/iceweasel (part of link group gnome-www-browser) doesn't exist; removing from list of alternatives
update-alternatives: warning: /etc/alternatives/gnome-www-browser is dangling; it will be updated with best choice
Removing 'diversion of /usr/bin/firefox to /usr/bin/firefox.real by firefox-esr'
Processing triggers for mime-support (3.58) ...
Processing triggers for man-db (2.7.0.2-5) ...
root@jessie:~# dpkg -i --force-downgrade /var/cache/apt/archives/iceweasel_38.8.0esr-1~deb8u1_amd64.deb
Selecting previously unselected package iceweasel.
(Reading database ... 44524 files and directories currently installed.)
Preparing to unpack .../iceweasel_38.8.0esr-1~deb8u1_amd64.deb ...
Adding 'diversion of /usr/bin/firefox to /usr/bin/firefox.real by iceweasel'
Unpacking iceweasel (38.8.0esr-1~deb8u1) ...
Setting up iceweasel (38.8.0esr-1~deb8u1) ...
update-alternatives: warning: /etc/alternatives/x-www-browser has been changed (manually or by a script); switching to manual updates only
update-alternatives: updating alternative /usr/bin/iceweasel because link group x-www-browser has changed slave links
update-alternatives: warning: /etc/alternatives/gnome-www-browser has been changed (manually or by a script); switching to manual updates only
update-alternatives: updating alternative /usr/bin/iceweasel because link group gnome-www-browser has changed slave links
Processing triggers for mime-support (3.58) ...
Processing triggers for man-db (2.7.0.2-5) ...
root@jessie:~# iceweasel -version

(process:32624): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
Mozilla Iceweasel 38.8.0

roll

So yeah, `apt remove firefox-esr` then `dpkg -i` the old Iceweasel .deb

Last edited by Head_on_a_Stick (2016-06-11 17:10:26)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#7 2016-06-11 19:18:37

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,591

Re: Iceweasel, transitional package, to FireFox BUG!!!

Yea, I figured that would be possible.  Not really needed though.  It's "almost" like it was, I doubt the Mrs. will complain.
Old look on top - new on bottom, it's a bit washed out.
fuXoKKcw.jpg
But it seems to be acting the same.

Still getting that nagging  [Stop script]  crap though.


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

Board footer

Powered by FluxBB